From 8cfafc9518156e3213d0da9b19010c3211aff60b Mon Sep 17 00:00:00 2001
From: Jelte Fennema-Nio <github-tech@jeltef.nl>
Date: Thu, 26 Jun 2025 10:11:58 +0200
Subject: [PATCH v1] Update protocol docs to not hardcode 3.0 in StartupMessage

We now also have protocol version 3.2, but in the protocol documentation
for the StartupMessage we still hardcoded the number for version 3.0.
This makes the description more generic, so we don't need to update for
every future protocol bump.

Reported-By: Tatsuo Ishii
---
 doc/src/sgml/protocol.sgml | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

diff --git a/doc/src/sgml/protocol.sgml b/doc/src/sgml/protocol.sgml
index 82fe3f93761..4cfd9767f7c 100644
--- a/doc/src/sgml/protocol.sgml
+++ b/doc/src/sgml/protocol.sgml
@@ -6081,13 +6081,14 @@ psql "dbname=postgres replication=database" -c "IDENTIFY_SYSTEM;"
       </varlistentry>
 
       <varlistentry>
-       <term>Int32(196608)</term>
+       <term>Int32</term>
        <listitem>
         <para>
          The protocol version number.  The most significant 16 bits are
-         the major version number (3 for the protocol described here).
-         The least significant 16 bits are the minor version number
-         (0 for the protocol described here).
+         the major version number. The least significant 16 bits are the minor
+         version number. As an example protocol version 3.2 is represented as
+         <literal>196610</literal> in decimal or more clearly as
+         <literal>0x00030002</literal> in hexadecimal.
         </para>
        </listitem>
       </varlistentry>

base-commit: 5069fef1cfae271ca62e254b16dc831145bc5a4f
-- 
2.43.0

